GDCM: gdcm::TableReader Class Reference

GDCM 3.0.25

Public Member Functions | List of all members
gdcm::TableReader Class Reference

Class for representing a TableReader. More...

`#include <gdcmTableReader.h>`

Inheritance diagram for gdcm::TableReader:
[legend]

## Public Member Functions
| TableReader (Defs &defs)
virtual | ~TableReader ()=default
virtual void | CharacterDataHandler (const char *data, int length)
virtual void | EndElement (const char *name)
const Defs & | GetDefs () const
const char * | GetFilename ()
void | HandleIOD (const char **atts)
void | HandleIODEntry (const char **atts)
void | HandleMacro (const char **atts)
void | HandleMacroEntry (const char **atts)
void | HandleMacroEntryDescription (const char **atts)
void | HandleModule (const char **atts)
void | HandleModuleEntry (const char **atts)
void | HandleModuleEntryDescription (const char **atts)
void | HandleModuleInclude (const char **atts)
int | Read ()
void | SetFilename (const char *filename)
virtual void | StartElement (const char *name, const char **atts)

## Detailed Description

Class for representing a TableReader.

Note
  This class is an empty shell meant to be derived

## Constructor & Destructor Documentation

## ◆ TableReader()

gdcm::TableReader::TableReader | ( | Defs & | defs | ) |
| inline

## ◆ ~TableReader()

virtual gdcm::TableReader::~TableReader | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ CharacterDataHandler()

virtual void gdcm::TableReader::CharacterDataHandler | ( | const char * | data,
|  | int | length )
| virtual

Reimplemented in gdcm::XMLDictReader, and gdcm::XMLPrivateDictReader.

## ◆ EndElement()

virtual void gdcm::TableReader::EndElement | ( | const char * | name | ) |
| virtual

Reimplemented in gdcm::XMLDictReader, and gdcm::XMLPrivateDictReader.

## ◆ GetDefs()

const Defs & gdcm::TableReader::GetDefs | ( |  | ) | const
| inline

## ◆ GetFilename()

const char * gdcm::TableReader::GetFilename | ( |  | ) |
| inline

## ◆ HandleIOD()

void gdcm::TableReader::HandleIOD | ( | const char ** | atts | ) |

## ◆ HandleIODEntry()

void gdcm::TableReader::HandleIODEntry | ( | const char ** | atts | ) |

## ◆ HandleMacro()

void gdcm::TableReader::HandleMacro | ( | const char ** | atts | ) |

## ◆ HandleMacroEntry()

void gdcm::TableReader::HandleMacroEntry | ( | const char ** | atts | ) |

## ◆ HandleMacroEntryDescription()

void gdcm::TableReader::HandleMacroEntryDescription | ( | const char ** | atts | ) |

## ◆ HandleModule()

void gdcm::TableReader::HandleModule | ( | const char ** | atts | ) |

## ◆ HandleModuleEntry()

void gdcm::TableReader::HandleModuleEntry | ( | const char ** | atts | ) |

## ◆ HandleModuleEntryDescription()

void gdcm::TableReader::HandleModuleEntryDescription | ( | const char ** | atts | ) |

## ◆ HandleModuleInclude()

void gdcm::TableReader::HandleModuleInclude | ( | const char ** | atts | ) |

## ◆ Read()

int gdcm::TableReader::Read | ( |  | ) |

## ◆ SetFilename()

void gdcm::TableReader::SetFilename | ( | const char * | filename | ) |
| inline

## ◆ StartElement()

virtual void gdcm::TableReader::StartElement | ( | const char * | name,
|  | const char ** | atts )
| virtual

Reimplemented in gdcm::XMLDictReader, and gdcm::XMLPrivateDictReader.

The documentation for this class was generated from the following file:

- gdcmTableReader.h